summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpackage/base-files/rb532-2.6/sbin/cf2nand5
1 files changed, 5 insertions, 0 deletions
diff --git a/package/base-files/rb532-2.6/sbin/cf2nand b/package/base-files/rb532-2.6/sbin/cf2nand
index eb1a0bec1..f8576beaa 100755
--- a/package/base-files/rb532-2.6/sbin/cf2nand
+++ b/package/base-files/rb532-2.6/sbin/cf2nand
@@ -16,6 +16,11 @@ copy_kernel() {
}
fstype="$(mount | grep ' / ' | awk '{print $5}')"
+case "$fstype" in
+ ext2|jffs2) echo "Copying from $fstype to yaffs2";;
+ *) echo "Invalid filesystem."; exit 1;;
+esac
+
[ -d /tmp/cf2nand ] && {
echo "/tmp/cf2nand already exists"
exit 1